Name:    grace
Version: 5.1.20
Release: alt3
Summary: WYSIWYG tool to make two-dimensional plots of scientific data
Summary(ru_RU.KOI8-R): WYSIWYG     
License: GPL
Group:   Sciences/Other
URL:     http://plasma-gate.weizmann.ac.il/Grace/

Source0: ftp://plasma-gate.weizmann.ac.il/pub/grace/src/%name-%version.tar.bz2
Source4: grace.menu
Source5: grace.xpm
Source6: grace-32.xpm
Source7: grace-set_default_enc
Patch1:  grace-5.1.9-alt1-alt-makefile-bindir.patch
Patch2:  grace-5.1.9-alt1-alt-makefile-install_GRACECLI.patch
Patch3:  grace-5.1.9-alt1-alt-makefile-install_man.patch
Patch4:  grace-5.1.9-alt1-alt-makefile-install_grace_np.patch
Patch5:  grace-5.1.11-alt1-alt-makefile-font_links.patch
Patch6:  grace-5.1.9-alt1-alt-config-gracerc.patch


Requires: fonts-type1-urw >= 1.0.7 url_handler >= 0.2.1


# Automatically added by buildreq on Sat Oct 14 2006
BuildRequires: imake libfftw-devel libjpeg-devel libpng-devel libXbae-devel libXmu-devel libXp-devel libXpm-devel openmotif-devel t1lib-devel xorg-cf-files

%description 
Grace is a tool to make two-dimensional plots of numerical data. It runs
under various (if not all) flavours of UNIX with X11 and M*tif. Its
capabilities are roughly similar to GUI-based programs like Sigmaplot or
Microcal Origin plus script-based tools like gnuplot or Genplot. Its
strength lies in the fact that it combines the convenience of a
graphical user interface with the power of a scripting language which
enables it to do sophisticated calculations or perform automated tasks.

%description -l ru_RU.KOI8-R
Grace --        
.     (   )  UNIX,
  X11  M*tif.     
,  Sigmaplot  Microcal Origin, ,    
  ,  gnuplot  Genplot.   
   ,       
     ,  
      .


%package devel
Summary: A library for interfacing with Grace using pipes
Summary(ru_RU.KOI8-R):     Grace   (pipes)
Group: Development/C
Requires: %name = %version-%release

%description devel
A library for interfacing with Grace using pipes

%description -l ru_RU.KOI8-R devel
    Grace   (pipes)


%prep
%setup -q -n %name-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
cp %SOURCE7 set_default_enc

%build
%configure --prefix=%_datadir \
           --with-bundled-xbae=no \
		   --enable-xmhtml=no \
		   --with-extra-incpath=/usr/X11R6/include \
		   --with-extra-ldpath=/usr/X11R6/lib \
		   --with-helpviewer="url_handler.sh %s" \
		   --enable-grace-home=%_datadir/grace
%make_build 

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%__install -m 755 set_default_enc $RPM_BUILD_ROOT%_datadir/grace/auxiliary/
ln -s ../doc/%name-%version/doc $RPM_BUILD_ROOT%_datadir/grace/doc
ln -s KOI8-R.enc $RPM_BUILD_ROOT%_datadir/grace/fonts/enc/Default.enc
  
# menu
%__install -pD -m644 %SOURCE4 $RPM_BUILD_ROOT%_menudir/%name

# icon
%__install -pD -m644 %SOURCE5 $RPM_BUILD_ROOT%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE6 $RPM_BUILD_ROOT%_iconsdir/%name.xpm


%post
GRACE_HOME=%_datadir/grace %_datadir/grace/auxiliary/set_default_enc
%update_menus


%triggerpostun -- grace < 5.1.9-alt2
GRACE_HOME=%_datadir/grace %_datadir/grace/auxiliary/set_default_enc


%postun
%clean_menus


%files
%_bindir/*
%dir %_datadir/grace
%_datadir/grace/*
%_mandir/man1/*
%_menudir/%name
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%doc doc CHANGES COPYRIGHT LICENSE src/XMgrace.ad


%files devel
%dir %_libdir/grace
%dir %_includedir/grace
%_libdir/grace/*
%_includedir/grace/*


%changelog
* Sun Oct 29 2006 Yury A. Zotov <yz@altlinux.ru> 5.1.20-alt3
- use libfftw again

* Sat Oct 14 2006 Yury A. Zotov <yz@altlinux.ru> 5.1.20-alt2
- do not use libfftw and libnetcdf

* Thu Jun 08 2006 Yury A. Zotov <yz@altlinux.ru> 5.1.20-alt1
- new version
- symlinks to fonts are updated
- Requires: fonts-type1-urw

* Sun Feb 26 2006 Yury A. Zotov <yz@altlinux.ru> 5.1.19-alt1
- new version
- BuildRequires is updates
- grace-5.1.9-alt1-alt-configure-helpviewer.patch is removed

* Mon Feb 21 2005 Yury A. Zotov <yz@altlinux.ru> 5.1.18-alt1
- new version

* Sat Aug 28 2004 Yury A. Zotov <yz@altlinux.ru> 5.1.17-alt1
- new version

* Sat Jun 19 2004 Yury A. Zotov <yz@altlinux.ru> 5.1.15-alt1
- new version

* Wed Oct 29 2003 Yury A. Zotov <yz@altlinux.ru> 5.1.13-alt3
- build with openmotif

* Sat Oct 18 2003 Yury A. Zotov <yz@altlinux.ru> 5.1.13-alt2
- rebuild with t1lib-5.0.0

* Fri Oct 17 2003 Yury A. Zotov <yz@altlinux.ru> 5.1.13-alt1
- 5.1.13

* Fri Apr 11 2003 Yury A. Zotov <yz@altlinux.ru> 5.1.12-alt3
- now set_default_encoding script handles multiple entries
  of locales in LANGUAGE variable from /etc/sysconfig/i18n

* Thu Apr 10 2003 Yury A. Zotov <yz@altlinux.ru> 5.1.12-alt2
- default encoding is deduced from value of LANGUAGE variable
  from /etc/sysconfig/i18n
- added Requires: urw-fonts >= 2.0

* Mon Feb 24 2003 Yury A. Zotov <yz@altlinux.ru> 5.1.12-alt1
- new version
- Source6: grace-set_default_enc is Source7 now
- workaround for IsoLatin7.enc removed

* Sun Jan 26 2003 Yury A. Zotov <yz@altlinux.ru> 5.1.11-alt1
- new version
- russian and ukrainian encoding files are removed from
  sources because they are in main grace source now
- all symbolic links are relative

* Sun Oct 13 2002 Yury A. Zotov <yz@altlinux.ru> 5.1.10-alt1
- new version
- build with gcc3.2

* Fri Aug 30 2002 Yury A. Zotov <yz@altlinux.ru> 5.1.9-alt2
- build with FFTW library (libfftw)

* Wed Aug 14 2002 Yury A. Zotov <yz@altlinux.ru> 5.1.9-alt1
- new version

* Thu Jun 13 2002 Yury A. Zotov <yz@altlinux.ru> 5.1.8-alt2
- Default.enc removed if exists before creating
- needs=x11 rather than needs=text in grace.menu

* Thu Jun 13 2002 Yury A. Zotov <yz@altlinux.ru> 5.1.8-alt1
- initial version
